# Class StreamCorruptedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.io.ObjectStreamException
java.io.StreamCorruptedException

All Implemented Interfaces:
  `Serializable`

public class StreamCorruptedException extends ObjectStreamException
Thrown when control information that was read from an object stream violates internal consistency checks.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StreamCorruptedException()`
  Create a StreamCorruptedException and list no reason why thrown.
  `StreamCorruptedException(String reason)`
  Create a StreamCorruptedException and list a reason why thrown.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StreamCorruptedException

    public StreamCorruptedException(String reason)
    Create a StreamCorruptedException and list a reason why thrown.
    Parameters:
      `reason` - String describing the reason for the exception.

  - ### StreamCorruptedException

    public StreamCorruptedException()
    Create a StreamCorruptedException and list no reason why thrown.